<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listCollections") label="Collections"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="All Collections"]]

[[#if (hasPermission "forms:ldp:update")]]
<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':createCollection']]"
    class="btn btn-md btn-primary "
    >Add new collection</semantic-link>
</div>
[[/if]]

<div class="gap">
  <semantic-simple-search
    query='
      SELECT ?resource ?label WHERE {
        ?resource a ismi:Collection ;
          rdfs:label ?c_label ;
          crm:P49_has_former_or_current_keeper / rdfs:label ?r_label .
        ?c_label bds:search ?__token__ ;
          bds:relevance ?score .
        bind(concat(?c_label, " (", ?r_label, ")") as ?label)
      } ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for collection...'
  ></semantic-simple-search>
</div>

<div class="panel gap">
  <div class="panel-body">
    [[> Partial:tableCollections]]
  </div>
</div>

[[> Partial:contentEnd]]
